View Issue Details

IDProjectCategoryView StatusLast Update
0000762XdebugUsage problems (Wrong Results)public2012-03-28 09:37
ReporternnmatveevAssigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.1.4 
Summary0000762: xdebug crashes after evaluation of specific expression in the specific context
Descriptionsubj
based on http://youtrack.jetbrains.net/issue/WI-7771
Steps To ReproduceThe issue is always reproducible on the same code base
1) install http://myopencart.googlecode.com/files/ocstore_v0.2.2.zip
2) put breakpoint at \catalog\controller\information\information.php:4
3) stop at the breakpoint
4) Evaluate expression '$this->registry->data'(PhpStorm will actually evaluate the following: $GLOBALS['IDE_EVAL_CACHE']['a53566f5-c187-4868-9930-592f7b41a740']=$this->registry->data)
Additional InformationPlease let me know if I can provide some kind of debug information for you
TagsNo tags attached.
Operating System
PHP Version5.3.8

Activities

nnmatveev

2011-12-16 13:28

reporter  

xdebug.log (25,322 bytes)

derick

2011-12-16 13:51

administrator   ~0001884

Can you please try the latest version from github? I am pretty sure I fixed this.

nnmatveev

2011-12-16 14:59

reporter   ~0001886

Ok, I will try it. Thanks!

nnmatveev

2011-12-16 15:02

reporter   ~0001887

derick, is there any instruction how to build Xdebug if you are on Windows?

nnmatveev

2011-12-16 15:05

reporter  

xdebug1_problem_expressions.txt (1,800 bytes)
---
expr: require_once 'PEAR/PackageFile.php'
evaluated by PhpStorm: $GLOBALS['IDE_EVAL_CACHE']['831e8ac6-660d-40b0-8a73-8410f48ca6d0']=require_once 'PEAR/PackageFile.php'
base64: JEdMT0JBTFNbJ0lERV9FVkFMX0NBQ0hFJ11bJzgzMWU4YWM2LTY2MGQtNDBiMC04YTczLTg0MTBmNDhjYTZkMCddPXJlcXVpcmVfb25jZSAnUEVBUi9QYWNrYWdlRmlsZS5waHAn
---
expr: $reg
evaluated by PhpStorm: $GLOBALS['IDE_EVAL_CACHE']['98540326-8ed8-46bb-920c-4e030d88eaad']=(isset($reg))?($reg):"IDE_EVAL_ERR"
base64: JEdMT0JBTFNbJ0lERV9FVkFMX0NBQ0hFJ11bJzk4NTQwMzI2LThlZDgtNDZiYi05MjBjLTRlMDMwZDg4ZWFhZCddPShpc3NldCgkcmVnKSk/KCRyZWcpOiJJREVfRVZBTF9FUlIi
---
expr: $params[$i]->getChannel()
$GLOBALS['IDE_EVAL_CACHE']['96d19487-dae1-4814-a81e-b3dd0f7bff67']=(isset($params,$i))?($params[$i]->getChannel()):"IDE_EVAL_ERR"
base64: JEdMT0JBTFNbJ0lERV9FVkFMX0NBQ0hFJ11bJzk2ZDE5NDg3LWRhZTEtNDgxNC1hODFlLWIzZGQwZjdiZmY2NyddPShpc3NldCgkcGFyYW1zLCRpKSk/KCRwYXJhbXNbJGldLT5nZXRDaGFubmVsKCkpOiJJREVfRVZBTF9FUlIi
---
expr: 'parsePackageName(): only channel:// uris may ' .
                        'be downloaded, not "'
evaluated by PhpStorm: $GLOBALS['IDE_EVAL_CACHE']['eb5b3491-6a9b-4c1f-bb4e-c5205281040c']='parsePackageName(): only channel:// uris may ' .
                        'be downloaded, not "'
base64: JEdMT0JBTFNbJ0lERV9FVkFMX0NBQ0hFJ11bJ2ViNWIzNDkxLTZhOWItNGMxZi1iYjRlLWM1MjA1MjgxMDQwYyddPSdwYXJzZVBhY2thZ2VOYW1lKCk6IG9ubHkgY2hhbm5lbDovLyB1cmlzIG1heSAnIC4KICAgICAgICAgICAgICAgICAgICAgICAgJ2JlIGRvd25sb2FkZWQsIG5vdCAiJw==
---
expr: $param
evaluated by PhpStorm: $GLOBALS['IDE_EVAL_CACHE']['a1b232a2-b9fd-4aa4-b721-7277d41209ff']=(isset($param))?($param):"IDE_EVAL_ERR"
base64: JEdMT0JBTFNbJ0lERV9FVkFMX0NBQ0hFJ11bJ2ExYjIzMmEyLWI5ZmQtNGFhNC1iNzIxLTcyNzdkNDEyMDlmZiddPShpc3NldCgkcGFyYW0pKT8oJHBhcmFtKToiSURFX0VWQUxfRVJSIg==
---

nnmatveev

2011-12-16 15:07

reporter   ~0001888

Another issue from PhpStorm tracker about the same problem - http://youtrack.jetbrains.net/issue/WI-8459
xdebug1.log and xdebug1_problem_expressions.txt attached

derick

2012-02-29 13:10

administrator   ~0001931

This should be fixed in 2.1.3, please test it.

derick

2012-03-16 22:11

administrator   ~0001991

Could you please test whether this works with Xdebug 2.1.4?

nnmatveev

2012-03-28 09:24

reporter   ~0002023

Sorry for delay. I've just checked it with Xdebug 2.1.4 and can confirm that it is fixed. Thanks!

derick

2012-03-28 09:37

administrator   ~0002024

Closing then!

Issue History

Date Modified Username Field Change
2011-12-16 13:13 nnmatveev New Issue
2011-12-16 13:28 nnmatveev File Added: xdebug.log
2011-12-16 13:51 derick Note Added: 0001884
2011-12-16 13:51 derick Assigned To => derick
2011-12-16 13:51 derick Status new => feedback
2011-12-16 14:59 nnmatveev Note Added: 0001886
2011-12-16 14:59 nnmatveev Status feedback => assigned
2011-12-16 15:02 nnmatveev Note Added: 0001887
2011-12-16 15:05 nnmatveev File Added: xdebug1_problem_expressions.txt
2011-12-16 15:07 nnmatveev Note Added: 0001888
2012-02-29 13:10 derick Note Added: 0001931
2012-02-29 13:10 derick Status assigned => feedback
2012-03-16 22:11 derick Note Added: 0001991
2012-03-28 09:24 nnmatveev Note Added: 0002023
2012-03-28 09:24 nnmatveev Status feedback => assigned
2012-03-28 09:37 derick Note Added: 0002024
2012-03-28 09:37 derick Status assigned => closed
2012-03-28 09:37 derick Resolution open => fixed
2012-03-28 09:37 derick Fixed in Version => 2.1.4
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)